"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cron = void 0;
exports.cron = cron;
exports.heartbeat = heartbeat;
const scheduler_1 = require("./scheduler");
const cron_1 = require("./cron");
Object.defineProperty(exports, "Cron", { enumerable: true, get: function () { return cron_1.Cron; } });
const event_1 = require("./event");
const heartbeat_1 = require("./heartbeat");
function cron(identifier, fn) {
    const cron = new cron_1.Cron(identifier);
    let output;
    if (fn) {
        cron.start();
        output = fn();
    }
    if (output instanceof Promise) {
        output.then(() => cron.finish()).catch(() => { });
    }
    else {
        cron.finish();
    }
    return output;
}
function heartbeat(identifier, options) {
    if (options === null || options === void 0 ? void 0 : options.continuous) {
        (0, heartbeat_1.addContinuousHeartbeat)(setInterval(heartbeat, (0, heartbeat_1.heartbeatInterval)(), identifier).unref());
    }
    scheduler_1.scheduler.schedule(event_1.Event.heartbeat(identifier));
}
