"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Heartbeat = exports.heartbeatHelperWarnOnce = exports.heartbeatClassWarnOnce = void 0;
exports.heartbeat = heartbeat;
const client_1 = require("./client");
const check_in_1 = require("./check_in");
function once(fn, ...args) {
    let done = false;
    const onceFn = function () {
        if (!done) {
            fn(...args);
            done = true;
        }
    };
    onceFn.reset = () => {
        done = false;
    };
    return onceFn;
}
function consoleAndLoggerWarn(message) {
    console.warn(`appsignal WARNING: ${message}`);
    client_1.Client.internalLogger.warn(message);
}
/** @internal */
exports.heartbeatClassWarnOnce = once(consoleAndLoggerWarn, "The class `Heartbeat` has been deprecated. " +
    "Please update uses of the class `new Heartbeat(...)` to `new checkIn.Cron(...)`, " +
    'importing it as `import { checkIn } from "@appsignal/nodejs"`, ' +
    "in order to remove this message.");
/** @internal */
exports.heartbeatHelperWarnOnce = once(consoleAndLoggerWarn, "The helper `heartbeat` has been deprecated. " +
    "Please update uses of the helper `heartbeat(...)` to `checkIn.cron(...)`, " +
    'importing it as `import { checkIn } from "@appsignal/nodejs"`, ' +
    "in order to remove this message.");
function heartbeat(name, fn) {
    (0, exports.heartbeatHelperWarnOnce)();
    return check_in_1.cron(name, fn);
}
/** @deprecated Use `checkIn.Cron` (`import { checkIn } from "@appsignal/nodejs"`) instead. */
exports.Heartbeat = new Proxy(check_in_1.Cron, {
    construct(target, args) {
        (0, exports.heartbeatClassWarnOnce)();
        return new target(...args);
    }
});
